.libPaths("C:/R_packages")
library(rgdal)
library(raster)
library(data.table)
library(ggplot2)
library(SDMTools)
library(spatial)
library(GISTools)
library(dismo)
library(scales)
library(plyr)
library(splines2)
library(splines)
library(gbm)

summary_variables<-as.data.frame(matrix(NA, 800, 5))
names(summary_variables)<-c("model", "species", "var", "rel.infl", "rank")

indir<-"G:/Ducks_final/Longterm/"

spps<-c("ANAC", "ANCL", "ANCR")
rowindex<-1

for (spp in 1:length(spps)) { 
  load(paste(indir, spps[spp], "/", spps[spp], "_N_Longterm_4_04282020", sep=""))
  eval(parse(text=paste("mat1<-summary(", spps[spp], "_model_N)", sep="")))
  mat1<-as.data.frame(mat1)
  summary_variables$species[rowindex:(rowindex+length(mat1$var)-1)]<-rep(spps[spp], length(mat1$var))
  summary_variables$model[rowindex:(rowindex+length(mat1$var)-1)]<-"Longterm, 4, North"
  summary_variables$var[rowindex:(rowindex+length(mat1$var)-1)]<-as.character(mat1$var)
  summary_variables$rel.infl[rowindex:(rowindex+length(mat1$var)-1)]<-mat1$rel.inf
  summary_variables$rank[rowindex:(rowindex+length(mat1$var)-1)]<-seq(1, length(mat1$var), 1)
  rowindex<-rowindex+length(mat1$var)
  load(paste(indir, spps[spp], "/", spps[spp], "_S_Longterm_4_05142020", sep=""))
  eval(parse(text=paste("mat1<-summary(", spps[spp], "_model_S)", sep="")))
  mat1<-as.data.frame(mat1)
  summary_variables$species[rowindex:(rowindex+length(mat1$var)-1)]<-rep(spps[spp], length(mat1$var))
  summary_variables$model[rowindex:(rowindex+length(mat1$var)-1)]<-"Longterm, 4, South"
  summary_variables$var[rowindex:(rowindex+length(mat1$var)-1)]<-as.character(mat1$var)
  summary_variables$rel.infl[rowindex:(rowindex+length(mat1$var)-1)]<-mat1$rel.inf
  summary_variables$rank[rowindex:(rowindex+length(mat1$var)-1)]<-seq(1, length(mat1$var), 1)
  rowindex<-rowindex+length(mat1$var)
}

indir<-"G:/Ducks_final/FloodedCover/"

for (spp in 1:length(spps)) { 
  load(paste(indir, spps[spp], "/", spps[spp], "_N_FloodedCover_4_04282020", sep=""))
  eval(parse(text=paste("mat1<-summary(", spps[spp], "_model_N)", sep="")))
  mat1<-as.data.frame(mat1)
  summary_variables$species[rowindex:(rowindex+length(mat1$var)-1)]<-rep(spps[spp], length(mat1$var))
  summary_variables$model[rowindex:(rowindex+length(mat1$var)-1)]<-"FloodedCover, 4, North"
  summary_variables$var[rowindex:(rowindex+length(mat1$var)-1)]<-as.character(mat1$var)
  summary_variables$rel.infl[rowindex:(rowindex+length(mat1$var)-1)]<-mat1$rel.inf
  summary_variables$rank[rowindex:(rowindex+length(mat1$var)-1)]<-seq(1, length(mat1$var), 1)
  rowindex<-rowindex+length(mat1$var)
  load(paste(indir, spps[spp], "/", spps[spp], "_S_FloodedCover_4_05142020", sep=""))
  eval(parse(text=paste("mat1<-summary(", spps[spp], "_model_S)", sep="")))
  mat1<-as.data.frame(mat1)
  summary_variables$species[rowindex:(rowindex+length(mat1$var)-1)]<-rep(spps[spp], length(mat1$var))
  summary_variables$model[rowindex:(rowindex+length(mat1$var)-1)]<-"FloodedCover, 4, South"
  summary_variables$var[rowindex:(rowindex+length(mat1$var)-1)]<-as.character(mat1$var)
  summary_variables$rel.infl[rowindex:(rowindex+length(mat1$var)-1)]<-mat1$rel.inf
  summary_variables$rank[rowindex:(rowindex+length(mat1$var)-1)]<-seq(1, length(mat1$var), 1)
  rowindex<-rowindex+length(mat1$var)
}

indir<-"G:/Ducks_final/FloodedCoverUSGS/"

for (spp in 1:length(spps)) { 
  load(paste(indir, spps[spp], "/", spps[spp], "_N_FloodedCoverUSGS_4_04282020", sep=""))
  eval(parse(text=paste("mat1<-summary(", spps[spp], "_model_N)", sep="")))
  mat1<-as.data.frame(mat1)
  summary_variables$species[rowindex:(rowindex+length(mat1$var)-1)]<-rep(spps[spp], length(mat1$var))
  summary_variables$model[rowindex:(rowindex+length(mat1$var)-1)]<-"FloodedCoverUSGS, 4, North"
  summary_variables$var[rowindex:(rowindex+length(mat1$var)-1)]<-as.character(mat1$var)
  summary_variables$rel.infl[rowindex:(rowindex+length(mat1$var)-1)]<-mat1$rel.inf
  summary_variables$rank[rowindex:(rowindex+length(mat1$var)-1)]<-seq(1, length(mat1$var), 1)
  rowindex<-rowindex+length(mat1$var)
  load(paste(indir, spps[spp], "/", spps[spp], "_S_FloodedCoverUSGS_4_05142020", sep=""))
  eval(parse(text=paste("mat1<-summary(", spps[spp], "_model_S)", sep="")))
  mat1<-as.data.frame(mat1)
  summary_variables$species[rowindex:(rowindex+length(mat1$var)-1)]<-rep(spps[spp], length(mat1$var))
  summary_variables$model[rowindex:(rowindex+length(mat1$var)-1)]<-"FloodedCoverUSGS, 4, South"
  summary_variables$var[rowindex:(rowindex+length(mat1$var)-1)]<-as.character(mat1$var)
  summary_variables$rel.infl[rowindex:(rowindex+length(mat1$var)-1)]<-mat1$rel.inf
  summary_variables$rank[rowindex:(rowindex+length(mat1$var)-1)]<-seq(1, length(mat1$var), 1)
  rowindex<-rowindex+length(mat1$var)
}

write.csv(summary_variables, "G:/Ducks_Final/All_species_relative_influence.csv")


####################################################################
# Check if there is a long-term and real-time variable in same model
####################################################################

CALA_data$ratio_rl<-rep(NA, nrow(CALA_data))
checkthis<-subset(CALA_data, CALA_data$model=="Real_long, North")
checkthis$ratio_rl<-rep(NA, nrow(checkthis))

if (length(unique(checkthis$var2))<nrow(checkthis)) {
  paste("GO BACK AND CORRECT THE REPEATS!!")
  combine_list<-as.data.frame(tapply(checkthis$var2, checkthis$var2, length))
  names(combine_list)<-"tally"
  combo_names <- rownames(combine_list)
  rownames(combine_list) <- NULL
  combine_list$var2 <- combo_names
  combine_list<-subset(combine_list, combine_list$tally>1)
  for (ii in 1:nrow(combine_list)){
    checkthis$ratio_rl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[intersect(which(checkthis$var2==combine_list$var2[ii]), grep("long", checkthis$var))])/sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis<-checkthis[-which(duplicated(checkthis$rel.infl)==TRUE),]
  }
}
checkthis2<-checkthis

CALA_data<-subset(summary_variables, summary_variables$species=="CALA")
CALA_data$ratio_rl<-rep(NA, nrow(CALA_data))
checkthis<-subset(CALA_data, CALA_data$model=="Real_long, South")
checkthis$ratio_rl<-rep(NA, nrow(checkthis))

if (length(unique(checkthis$var2))<nrow(checkthis)) {
  paste("GO BACK AND CORRECT THE REPEATS!!")
  combine_list<-as.data.frame(tapply(checkthis$var2, checkthis$var2, length))
  names(combine_list)<-"tally"
  combo_names <- rownames(combine_list)
  rownames(combine_list) <- NULL
  combine_list$var2 <- combo_names
  combine_list<-subset(combine_list, combine_list$tally>1)
  for (ii in 1:nrow(combine_list)){
    checkthis$ratio_rl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[intersect(which(checkthis$var2==combine_list$var2[ii]), grep("long", checkthis$var))])/sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis<-checkthis[-which(duplicated(checkthis$rel.infl)==TRUE),]
  }
}

CALA_data<-CALA_data[-grep("Real_long", CALA_data$model),]
CALA_data<-rbind(CALA_data, checkthis2)
CALA_data<-rbind(CALA_data, checkthis)


checkthis<-subset(CALA_data, CALA_data$model=="Real_pattern, North")
checkthis$ratio_rl<-rep(NA, nrow(checkthis))

if (length(unique(checkthis$var2))<nrow(checkthis)) {
  paste("GO BACK AND CORRECT THE REPEATS!!")
  combine_list<-as.data.frame(tapply(checkthis$var2, checkthis$var2, length))
  names(combine_list)<-"tally"
  combo_names <- rownames(combine_list)
  rownames(combine_list) <- NULL
  combine_list$var2 <- combo_names
  combine_list<-subset(combine_list, combine_list$tally>1)
  for (ii in 1:nrow(combine_list)){
    checkthis$ratio_rl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[intersect(which(checkthis$var2==combine_list$var2[ii]), grep("long", checkthis$var))])/sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis<-checkthis[-which(duplicated(checkthis$rel.infl)==TRUE),]
  }
}
checkthis2<-checkthis


checkthis<-subset(CALA_data, CALA_data$model=="Real_pattern, South")
checkthis$ratio_rl<-rep(NA, nrow(checkthis))

if (length(unique(checkthis$var2))<nrow(checkthis)) {
  paste("GO BACK AND CORRECT THE REPEATS!!")
  combine_list<-as.data.frame(tapply(checkthis$var2, checkthis$var2, length))
  names(combine_list)<-"tally"
  combo_names <- rownames(combine_list)
  rownames(combine_list) <- NULL
  combine_list$var2 <- combo_names
  combine_list<-subset(combine_list, combine_list$tally>1)
  for (ii in 1:nrow(combine_list)){
    checkthis$ratio_rl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[intersect(which(checkthis$var2==combine_list$var2[ii]), grep("long", checkthis$var))])/sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis<-checkthis[-which(duplicated(checkthis$rel.infl)==TRUE),]
  }
}

CALA_data<-CALA_data[-grep("Real_pattern", CALA_data$model),]
CALA_data<-rbind(CALA_data, checkthis2)
CALA_data<-rbind(CALA_data, checkthis)



CALA_table<-as.data.frame(matrix(NA, 16, 11))
names(CALA_table)<-c("Variable", "Long_highN, North", "Long_highN, South", "Long_lowN, North", "Long_lowN, South", "Real_long, North", "Real_long, South", 
                       "Real_nopattern, North", "Real_nopattern, South", "Real_pattern, North", "Real_pattern, South")

CALA_table$Variable<-c("Flooded Rice 250m", "roads5km", "Wetlands 5km", "Flooded Rice 5km", "Flooded Non-rice crops 5km", "tmax250m",                      
                            "COUNT_TYPE2", "Flooded Row, Field Crops 250m", "Wetlands 250m",  "Treated Wetlands 250m", "Treated Wetlands 5km", 
                            "Flooded Alternating crops 250m", "coh5km", "mnfrac250m", "par250m", "Flooded Corn 250m")
for (ix in 1:nrow(CALA_data)) {
  if(CALA_data$var2[ix]=="Flooded Rice 250m") {
    rowr=1
  } else if(CALA_data$var2[ix]=="roads5km") {
    rowr=2
  } else if(CALA_data$var2[ix]=="Wetlands 5km") {
    rowr=3
  } else if(CALA_data$var2[ix]=="Flooded Rice 5km") {
    rowr=4
  } else if(CALA_data$var2[ix]=="Flooded Non-rice crops 5km") {
    rowr=5
  } else if(CALA_data$var2[ix]=="tmax250m") {
    rowr=6
  } else if(CALA_data$var2[ix]=="COUNT_TYPE2") {
    rowr=7
  } else if(CALA_data$var2[ix]=="Flooded Row, Field Crops 250m") {
    rowr=8
  } else if(CALA_data$var2[ix]=="Wetlands 250m") {
    rowr=9
  } else if(CALA_data$var2[ix]=="Treated Wetlands 250m") {
    rowr=10
  } else if(CALA_data$var2[ix]=="Treated Wetlands 5km") {
    rowr=11
  } else if(CALA_data$var2[ix]=="Flooded Alternating crops 250m") {
    rowr=12
  } else if(CALA_data$var2[ix]=="coh5km") {
    rowr=13
  } else if(CALA_data$var2[ix]=="mnfrac250m") {
    rowr=14
  } else if(CALA_data$var2[ix]=="par250m") {
    rowr=15
  } else if(CALA_data$var2[ix]=="Flooded Corn 250m") {
    rowr=16
  }

  if(CALA_data$model[ix]=="Long_highN, North") {
    colc=2
  } else if(CALA_data$model[ix]=="Long_highN, South") {
    colc=3
  } else if(CALA_data$model[ix]=="Long_lowN, North") {
    colc=4
  } else if(CALA_data$model[ix]=="Long_lowN, South") {
    colc=5
  } else if(CALA_data$model[ix]=="Real_long, North") {
    colc=6
  } else if(CALA_data$model[ix]=="Real_long, South") {
    colc=7
  } else if(CALA_data$model[ix]=="Real_nopattern, North") {
    colc=8
  } else if(CALA_data$model[ix]=="Real_nopattern, South") {
    colc=9
  } else if(CALA_data$model[ix]=="Real_pattern, North") {
    colc=10
  } else if(CALA_data$model[ix]=="Real_pattern, South") {
    colc=11
  } 
  
  CALA_table[rowr,colc]<-CALA_data$rel.infl[ix]
}

write.table(CALA_table, "G:/Shorebirds_final_after_rethin/CALA_var_infl_04292020.csv", sep=",")


HIME_data<-subset(summary_variables, summary_variables$species=="HIME")

####################################################################
# Check if there is a long-term and real-time variable in same model
####################################################################

HIME_data$ratio_rl<-rep(NA, nrow(HIME_data))
checkthis<-subset(HIME_data, HIME_data$model=="Real_long, North")
checkthis$ratio_rl<-rep(NA, nrow(checkthis))

if (length(unique(checkthis$var2))<nrow(checkthis)) {
  paste("GO BACK AND CORRECT THE REPEATS!!")
  combine_list<-as.data.frame(tapply(checkthis$var2, checkthis$var2, length))
  names(combine_list)<-"tally"
  combo_names <- rownames(combine_list)
  rownames(combine_list) <- NULL
  combine_list$var2 <- combo_names
  combine_list<-subset(combine_list, combine_list$tally>1)
  for (ii in 1:nrow(combine_list)){
    checkthis$ratio_rl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[intersect(which(checkthis$var2==combine_list$var2[ii]), grep("long", checkthis$var))])/sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis<-checkthis[-which(duplicated(checkthis$rel.infl)==TRUE),]
  }
}
checkthis2<-checkthis

HIME_data<-subset(summary_variables, summary_variables$species=="HIME")
HIME_data$ratio_rl<-rep(NA, nrow(HIME_data))
checkthis<-subset(HIME_data, HIME_data$model=="Real_long, South")
checkthis$ratio_rl<-rep(NA, nrow(checkthis))

if (length(unique(checkthis$var2))<nrow(checkthis)) {
  paste("GO BACK AND CORRECT THE REPEATS!!")
  combine_list<-as.data.frame(tapply(checkthis$var2, checkthis$var2, length))
  names(combine_list)<-"tally"
  combo_names <- rownames(combine_list)
  rownames(combine_list) <- NULL
  combine_list$var2 <- combo_names
  combine_list<-subset(combine_list, combine_list$tally>1)
  for (ii in 1:nrow(combine_list)){
    checkthis$ratio_rl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[intersect(which(checkthis$var2==combine_list$var2[ii]), grep("long", checkthis$var))])/sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis<-checkthis[-which(duplicated(checkthis$rel.infl)==TRUE),]
  }
}

HIME_data<-HIME_data[-grep("Real_long", HIME_data$model),]
HIME_data<-rbind(HIME_data, checkthis2)
HIME_data<-rbind(HIME_data, checkthis)



checkthis<-subset(HIME_data, HIME_data$model=="Real_pattern, North")
checkthis$ratio_rl<-rep(NA, nrow(checkthis))

if (length(unique(checkthis$var2))<nrow(checkthis)) {
  paste("GO BACK AND CORRECT THE REPEATS!!")
  combine_list<-as.data.frame(tapply(checkthis$var2, checkthis$var2, length))
  names(combine_list)<-"tally"
  combo_names <- rownames(combine_list)
  rownames(combine_list) <- NULL
  combine_list$var2 <- combo_names
  combine_list<-subset(combine_list, combine_list$tally>1)
  for (ii in 1:nrow(combine_list)){
    checkthis$ratio_rl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[intersect(which(checkthis$var2==combine_list$var2[ii]), grep("long", checkthis$var))])/sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis<-checkthis[-which(duplicated(checkthis$rel.infl)==TRUE),]
  }
}
checkthis2<-checkthis


checkthis<-subset(HIME_data, HIME_data$model=="Real_pattern, South")
checkthis$ratio_rl<-rep(NA, nrow(checkthis))

if (length(unique(checkthis$var2))<nrow(checkthis)) {
  paste("GO BACK AND CORRECT THE REPEATS!!")
  combine_list<-as.data.frame(tapply(checkthis$var2, checkthis$var2, length))
  names(combine_list)<-"tally"
  combo_names <- rownames(combine_list)
  rownames(combine_list) <- NULL
  combine_list$var2 <- combo_names
  combine_list<-subset(combine_list, combine_list$tally>1)
  for (ii in 1:nrow(combine_list)){
    checkthis$ratio_rl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[intersect(which(checkthis$var2==combine_list$var2[ii]), grep("long", checkthis$var))])/sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis<-checkthis[-which(duplicated(checkthis$rel.infl)==TRUE),]
  }
}

HIME_data<-HIME_data[-grep("Real_pattern", HIME_data$model),]
HIME_data<-rbind(HIME_data, checkthis2)
HIME_data<-rbind(HIME_data, checkthis)


HIME_table<-as.data.frame(matrix(NA, 16, 11))
names(HIME_table)<-c("Variable", "Long_highN, North", "Long_highN, South", "Long_lowN, North", "Long_lowN, South", "Real_long, North", "Real_long, South", 
                     "Real_nopattern, North", "Real_nopattern, South", "Real_pattern, North", "Real_pattern, South")

HIME_table$Variable<-c("Flooded Rice 250m", "roads5km", "Wetlands 5km", "Flooded Rice 5km", "Flooded Non-rice crops 5km", "tmax250m",                      
                       "COUNT_TYPE2", "Flooded Row, Field Crops 250m", "Wetlands 250m",  "Treated Wetlands 250m", "Treated Wetlands 5km", 
                       "Flooded Alternating crops 250m", "coh5km", "mnfrac250m", "par250m", "Flooded Corn 250m")
for (ix in 1:nrow(HIME_data)) {
  if(HIME_data$var2[ix]=="Flooded Rice 250m") {
    rowr=1
  } else if(HIME_data$var2[ix]=="roads5km") {
    rowr=2
  } else if(HIME_data$var2[ix]=="Wetlands 5km") {
    rowr=3
  } else if(HIME_data$var2[ix]=="Flooded Rice 5km") {
    rowr=4
  } else if(HIME_data$var2[ix]=="Flooded Non-rice crops 5km") {
    rowr=5
  } else if(HIME_data$var2[ix]=="tmax250m") {
    rowr=6
  } else if(HIME_data$var2[ix]=="COUNT_TYPE2") {
    rowr=7
  } else if(HIME_data$var2[ix]=="Flooded Row, Field Crops 250m") {
    rowr=8
  } else if(HIME_data$var2[ix]=="Wetlands 250m") {
    rowr=9
  } else if(HIME_data$var2[ix]=="Treated Wetlands 250m") {
    rowr=10
  } else if(HIME_data$var2[ix]=="Treated Wetlands 5km") {
    rowr=11
  } else if(HIME_data$var2[ix]=="Flooded Alternating crops 250m") {
    rowr=12
  } else if(HIME_data$var2[ix]=="coh5km") {
    rowr=13
  } else if(HIME_data$var2[ix]=="mnfrac250m") {
    rowr=14
  } else if(HIME_data$var2[ix]=="par250m") {
    rowr=15
  } else if(HIME_data$var2[ix]=="Flooded Corn 250m") {
    rowr=16
  }
  
  if(HIME_data$model[ix]=="Long_highN, North") {
    colc=2
  } else if(HIME_data$model[ix]=="Long_highN, South") {
    colc=3
  } else if(HIME_data$model[ix]=="Long_lowN, North") {
    colc=4
  } else if(HIME_data$model[ix]=="Long_lowN, South") {
    colc=5
  } else if(HIME_data$model[ix]=="Real_long, North") {
    colc=6
  } else if(HIME_data$model[ix]=="Real_long, South") {
    colc=7
  } else if(HIME_data$model[ix]=="Real_nopattern, North") {
    colc=8
  } else if(HIME_data$model[ix]=="Real_nopattern, South") {
    colc=9
  } else if(HIME_data$model[ix]=="Real_pattern, North") {
    colc=10
  } else if(HIME_data$model[ix]=="Real_pattern, South") {
    colc=11
  } 
  
  HIME_table[rowr,colc]<-HIME_data$rel.infl[ix]
}

write.table(HIME_table, "G:/Shorebirds_final_after_rethin/HIME_var_infl_04292020.csv", sep=",")

REAM_data<-subset(summary_variables, summary_variables$species=="REAM")

####################################################################
# Check if there is a long-term and real-time variable in same model
####################################################################

REAM_data$ratio_rl<-rep(NA, nrow(REAM_data))
checkthis<-subset(REAM_data, REAM_data$model=="Real_long, North")
checkthis$ratio_rl<-rep(NA, nrow(checkthis))

if (length(unique(checkthis$var2))<nrow(checkthis)) {
  paste("GO BACK AND CORRECT THE REPEATS!!")
  combine_list<-as.data.frame(tapply(checkthis$var2, checkthis$var2, length))
  names(combine_list)<-"tally"
  combo_names <- rownames(combine_list)
  rownames(combine_list) <- NULL
  combine_list$var2 <- combo_names
  combine_list<-subset(combine_list, combine_list$tally>1)
  for (ii in 1:nrow(combine_list)){
    checkthis$ratio_rl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[intersect(which(checkthis$var2==combine_list$var2[ii]), grep("long", checkthis$var))])/sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis<-checkthis[-which(duplicated(checkthis$rel.infl)==TRUE),]
  }
}
checkthis2<-checkthis

REAM_data<-subset(summary_variables, summary_variables$species=="REAM")
REAM_data$ratio_rl<-rep(NA, nrow(REAM_data))
checkthis<-subset(REAM_data, REAM_data$model=="Real_long, South")
checkthis$ratio_rl<-rep(NA, nrow(checkthis))

if (length(unique(checkthis$var2))<nrow(checkthis)) {
  paste("GO BACK AND CORRECT THE REPEATS!!")
  combine_list<-as.data.frame(tapply(checkthis$var2, checkthis$var2, length))
  names(combine_list)<-"tally"
  combo_names <- rownames(combine_list)
  rownames(combine_list) <- NULL
  combine_list$var2 <- combo_names
  combine_list<-subset(combine_list, combine_list$tally>1)
  for (ii in 1:nrow(combine_list)){
    checkthis$ratio_rl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[intersect(which(checkthis$var2==combine_list$var2[ii]), grep("long", checkthis$var))])/sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis<-checkthis[-which(duplicated(checkthis$rel.infl)==TRUE),]
  }
}

REAM_data<-REAM_data[-grep("Real_long", REAM_data$model),]
REAM_data<-rbind(REAM_data, checkthis2)
REAM_data<-rbind(REAM_data, checkthis)


checkthis<-subset(REAM_data, REAM_data$model=="Real_pattern, North")
checkthis$ratio_rl<-rep(NA, nrow(checkthis))

if (length(unique(checkthis$var2))<nrow(checkthis)) {
  paste("GO BACK AND CORRECT THE REPEATS!!")
  combine_list<-as.data.frame(tapply(checkthis$var2, checkthis$var2, length))
  names(combine_list)<-"tally"
  combo_names <- rownames(combine_list)
  rownames(combine_list) <- NULL
  combine_list$var2 <- combo_names
  combine_list<-subset(combine_list, combine_list$tally>1)
  for (ii in 1:nrow(combine_list)){
    checkthis$ratio_rl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[intersect(which(checkthis$var2==combine_list$var2[ii]), grep("long", checkthis$var))])/sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis<-checkthis[-which(duplicated(checkthis$rel.infl)==TRUE),]
  }
}
checkthis2<-checkthis


checkthis<-subset(REAM_data, REAM_data$model=="Real_pattern, South")
checkthis$ratio_rl<-rep(NA, nrow(checkthis))

if (length(unique(checkthis$var2))<nrow(checkthis)) {
  paste("GO BACK AND CORRECT THE REPEATS!!")
  combine_list<-as.data.frame(tapply(checkthis$var2, checkthis$var2, length))
  names(combine_list)<-"tally"
  combo_names <- rownames(combine_list)
  rownames(combine_list) <- NULL
  combine_list$var2 <- combo_names
  combine_list<-subset(combine_list, combine_list$tally>1)
  for (ii in 1:nrow(combine_list)){
    checkthis$ratio_rl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[intersect(which(checkthis$var2==combine_list$var2[ii]), grep("long", checkthis$var))])/sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis<-checkthis[-which(duplicated(checkthis$rel.infl)==TRUE),]
  }
}

REAM_data<-REAM_data[-grep("Real_pattern", REAM_data$model),]
REAM_data<-rbind(REAM_data, checkthis2)
REAM_data<-rbind(REAM_data, checkthis)


REAM_table<-as.data.frame(matrix(NA, 16, 11))
names(REAM_table)<-c("Variable", "Long_highN, North", "Long_highN, South", "Long_lowN, North", "Long_lowN, South", "Real_long, North", "Real_long, South", 
                     "Real_nopattern, North", "Real_nopattern, South", "Real_pattern, North", "Real_pattern, South")

REAM_table$Variable<-c("Flooded Rice 250m", "roads5km", "Wetlands 5km", "Flooded Rice 5km", "Flooded Non-rice crops 5km", "tmax250m",                      
                       "COUNT_TYPE2", "Flooded Row, Field Crops 250m", "Wetlands 250m",  "Treated Wetlands 250m", "Treated Wetlands 5km", 
                       "Flooded Alternating crops 250m", "coh5km", "mnfrac250m", "par250m", "Flooded Corn 250m")
for (ix in 1:nrow(REAM_data)) {
  if(REAM_data$var2[ix]=="Flooded Rice 250m") {
    rowr=1
  } else if(REAM_data$var2[ix]=="roads5km") {
    rowr=2
  } else if(REAM_data$var2[ix]=="Wetlands 5km") {
    rowr=3
  } else if(REAM_data$var2[ix]=="Flooded Rice 5km") {
    rowr=4
  } else if(REAM_data$var2[ix]=="Flooded Non-rice crops 5km") {
    rowr=5
  } else if(REAM_data$var2[ix]=="tmax250m") {
    rowr=6
  } else if(REAM_data$var2[ix]=="COUNT_TYPE2") {
    rowr=7
  } else if(REAM_data$var2[ix]=="Flooded Row, Field Crops 250m") {
    rowr=8
  } else if(REAM_data$var2[ix]=="Wetlands 250m") {
    rowr=9
  } else if(REAM_data$var2[ix]=="Treated Wetlands 250m") {
    rowr=10
  } else if(REAM_data$var2[ix]=="Treated Wetlands 5km") {
    rowr=11
  } else if(REAM_data$var2[ix]=="Flooded Alternating crops 250m") {
    rowr=12
  } else if(REAM_data$var2[ix]=="coh5km") {
    rowr=13
  } else if(REAM_data$var2[ix]=="mnfrac250m") {
    rowr=14
  } else if(REAM_data$var2[ix]=="par250m") {
    rowr=15
  } else if(REAM_data$var2[ix]=="Flooded Corn 250m") {
    rowr=16
  }
  
  if(REAM_data$model[ix]=="Long_highN, North") {
    colc=2
  } else if(REAM_data$model[ix]=="Long_highN, South") {
    colc=3
  } else if(REAM_data$model[ix]=="Long_lowN, North") {
    colc=4
  } else if(REAM_data$model[ix]=="Long_lowN, South") {
    colc=5
  } else if(REAM_data$model[ix]=="Real_long, North") {
    colc=6
  } else if(REAM_data$model[ix]=="Real_long, South") {
    colc=7
  } else if(REAM_data$model[ix]=="Real_nopattern, North") {
    colc=8
  } else if(REAM_data$model[ix]=="Real_nopattern, South") {
    colc=9
  } else if(REAM_data$model[ix]=="Real_pattern, North") {
    colc=10
  } else if(REAM_data$model[ix]=="Real_pattern, South") {
    colc=11
  } 
  
  REAM_table[rowr,colc]<-REAM_data$rel.infl[ix]
}

write.table(REAM_table, "G:/Shorebirds_final_after_rethin/REAM_var_infl_04292020.csv", sep=",")


LISPP_data<-subset(summary_variables, summary_variables$species=="LISPP")

####################################################################
# Check if there is a long-term and real-time variable in same model
####################################################################

LISPP_data$ratio_rl<-rep(NA, nrow(LISPP_data))
checkthis<-subset(LISPP_data, LISPP_data$model=="Real_long, North")
checkthis$ratio_rl<-rep(NA, nrow(checkthis))

if (length(unique(checkthis$var2))<nrow(checkthis)) {
  paste("GO BACK AND CORRECT THE REPEATS!!")
  combine_list<-as.data.frame(tapply(checkthis$var2, checkthis$var2, length))
  names(combine_list)<-"tally"
  combo_names <- rownames(combine_list)
  rownames(combine_list) <- NULL
  combine_list$var2 <- combo_names
  combine_list<-subset(combine_list, combine_list$tally>1)
  for (ii in 1:nrow(combine_list)){
    checkthis$ratio_rl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[intersect(which(checkthis$var2==combine_list$var2[ii]), grep("long", checkthis$var))])/sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis<-checkthis[-which(duplicated(checkthis$rel.infl)==TRUE),]
  }
}
checkthis2<-checkthis

LISPP_data<-subset(summary_variables, summary_variables$species=="LISPP")
LISPP_data$ratio_rl<-rep(NA, nrow(LISPP_data))
checkthis<-subset(LISPP_data, LISPP_data$model=="Real_long, South")
checkthis$ratio_rl<-rep(NA, nrow(checkthis))

if (length(unique(checkthis$var2))<nrow(checkthis)) {
  paste("GO BACK AND CORRECT THE REPEATS!!")
  combine_list<-as.data.frame(tapply(checkthis$var2, checkthis$var2, length))
  names(combine_list)<-"tally"
  combo_names <- rownames(combine_list)
  rownames(combine_list) <- NULL
  combine_list$var2 <- combo_names
  combine_list<-subset(combine_list, combine_list$tally>1)
  for (ii in 1:nrow(combine_list)){
    checkthis$ratio_rl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[intersect(which(checkthis$var2==combine_list$var2[ii]), grep("long", checkthis$var))])/sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis<-checkthis[-which(duplicated(checkthis$rel.infl)==TRUE),]
  }
}

LISPP_data<-LISPP_data[-grep("Real_long", LISPP_data$model),]
LISPP_data<-rbind(LISPP_data, checkthis2)
LISPP_data<-rbind(LISPP_data, checkthis)


checkthis<-subset(LISPP_data, LISPP_data$model=="Real_pattern, North")
checkthis$ratio_rl<-rep(NA, nrow(checkthis))

if (length(unique(checkthis$var2))<nrow(checkthis)) {
  paste("GO BACK AND CORRECT THE REPEATS!!")
  combine_list<-as.data.frame(tapply(checkthis$var2, checkthis$var2, length))
  names(combine_list)<-"tally"
  combo_names <- rownames(combine_list)
  rownames(combine_list) <- NULL
  combine_list$var2 <- combo_names
  combine_list<-subset(combine_list, combine_list$tally>1)
  for (ii in 1:nrow(combine_list)){
    checkthis$ratio_rl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[intersect(which(checkthis$var2==combine_list$var2[ii]), grep("long", checkthis$var))])/sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis<-checkthis[-which(duplicated(checkthis$rel.infl)==TRUE),]
  }
}
checkthis2<-checkthis


checkthis<-subset(LISPP_data, LISPP_data$model=="Real_pattern, South")
checkthis$ratio_rl<-rep(NA, nrow(checkthis))

if (length(unique(checkthis$var2))<nrow(checkthis)) {
  paste("GO BACK AND CORRECT THE REPEATS!!")
  combine_list<-as.data.frame(tapply(checkthis$var2, checkthis$var2, length))
  names(combine_list)<-"tally"
  combo_names <- rownames(combine_list)
  rownames(combine_list) <- NULL
  combine_list$var2 <- combo_names
  combine_list<-subset(combine_list, combine_list$tally>1)
  for (ii in 1:nrow(combine_list)){
    checkthis$ratio_rl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[intersect(which(checkthis$var2==combine_list$var2[ii]), grep("long", checkthis$var))])/sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])]<-sum(checkthis$rel.infl[which(checkthis$var2==combine_list$var2[ii])])
    checkthis<-checkthis[-which(duplicated(checkthis$rel.infl)==TRUE),]
  }
}

LISPP_data<-LISPP_data[-grep("Real_pattern", LISPP_data$model),]
LISPP_data<-rbind(LISPP_data, checkthis2)
LISPP_data<-rbind(LISPP_data, checkthis)

LISPP_table<-as.data.frame(matrix(NA, 16, 11))
names(LISPP_table)<-c("Variable", "Long_highN, North", "Long_highN, South", "Long_lowN, North", "Long_lowN, South", "Real_long, North", "Real_long, South", 
                     "Real_nopattern, North", "Real_nopattern, South", "Real_pattern, North", "Real_pattern, South")

LISPP_table$Variable<-c("Flooded Rice 250m", "roads5km", "Wetlands 5km", "Flooded Rice 5km", "Flooded Non-rice crops 5km", "tmax250m",                      
                       "COUNT_TYPE2", "Flooded Row, Field Crops 250m", "Wetlands 250m",  "Treated Wetlands 250m", "Treated Wetlands 5km", 
                       "Flooded Alternating crops 250m", "coh5km", "mnfrac250m", "par250m", "Flooded Corn 250m")
for (ix in 1:nrow(LISPP_data)) {
  if(LISPP_data$var2[ix]=="Flooded Rice 250m") {
    rowr=1
  } else if(LISPP_data$var2[ix]=="roads5km") {
    rowr=2
  } else if(LISPP_data$var2[ix]=="Wetlands 5km") {
    rowr=3
  } else if(LISPP_data$var2[ix]=="Flooded Rice 5km") {
    rowr=4
  } else if(LISPP_data$var2[ix]=="Flooded Non-rice crops 5km") {
    rowr=5
  } else if(LISPP_data$var2[ix]=="tmax250m") {
    rowr=6
  } else if(LISPP_data$var2[ix]=="COUNT_TYPE2") {
    rowr=7
  } else if(LISPP_data$var2[ix]=="Flooded Row, Field Crops 250m") {
    rowr=8
  } else if(LISPP_data$var2[ix]=="Wetlands 250m") {
    rowr=9
  } else if(LISPP_data$var2[ix]=="Treated Wetlands 250m") {
    rowr=10
  } else if(LISPP_data$var2[ix]=="Treated Wetlands 5km") {
    rowr=11
  } else if(LISPP_data$var2[ix]=="Flooded Alternating crops 250m") {
    rowr=12
  } else if(LISPP_data$var2[ix]=="coh5km") {
    rowr=13
  } else if(LISPP_data$var2[ix]=="mnfrac250m") {
    rowr=14
  } else if(LISPP_data$var2[ix]=="par250m") {
    rowr=15
  } else if(LISPP_data$var2[ix]=="Flooded Corn 250m") {
    rowr=16
  }
  
  if(LISPP_data$model[ix]=="Long_highN, North") {
    colc=2
  } else if(LISPP_data$model[ix]=="Long_highN, South") {
    colc=3
  } else if(LISPP_data$model[ix]=="Long_lowN, North") {
    colc=4
  } else if(LISPP_data$model[ix]=="Long_lowN, South") {
    colc=5
  } else if(LISPP_data$model[ix]=="Real_long, North") {
    colc=6
  } else if(LISPP_data$model[ix]=="Real_long, South") {
    colc=7
  } else if(LISPP_data$model[ix]=="Real_nopattern, North") {
    colc=8
  } else if(LISPP_data$model[ix]=="Real_nopattern, South") {
    colc=9
  } else if(LISPP_data$model[ix]=="Real_pattern, North") {
    colc=10
  } else if(LISPP_data$model[ix]=="Real_pattern, South") {
    colc=11
  } 
  
  LISPP_table[rowr,colc]<-LISPP_data$rel.infl[ix]
}

write.table(LISPP_table, "G:/Shorebirds_final_after_rethin/LISPP_var_infl_04292020.csv", sep=",")
