.libPaths("C:/R_packages")
library(rgdal)
library(raster)
library(data.table)
library(ggplot2)
library(SDMTools)
library(spatial)
library(GISTools)
library(dismo)
library(scales)
library(plyr)
library(splines2)
library(splines)

rasterOptions(tmpdir=paste("D:/temp/dir", Sys.Date(), sep=""))

summary_table<-as.data.frame(matrix(NA, 230, 6))
names(summary_table)<-c("date", "NS", "type", "wet_dry", "model", "area_suit_ha")

#################################################################
# Load the summary areas file.  NORTH
#################################################################

wetlands<-raster("G:/CV_Seasonal_SemiPermenant_Wetlands/pubprivwetlnd")
rice<-raster("E:/Erin08302018/Attribution/Rice.tif")
isBecomes <- cbind(c(0), c(NA))
rice <- reclassify(rice, rcl=isBecomes)
plot(rice)

allcrops<-raster("E:/Erin08302018/Attribution/NonRiceCrops.tif")
allcrops <- reclassify(allcrops, rcl=isBecomes)
plot(allcrops)

basins2<-raster("F:/DUCKS/Basin_num.tif")
isBecomes <- cbind(c(NA, 6), c(0, 0))
basins2 <- reclassify(basins2, rcl=isBecomes)

sjbasin<-raster("G:/Ducks_final/sjoaq_basin")
basins2<-crop(basins2, extent(sjbasin))
isBecomes <- cbind(c(NA), c(0))

sjbasin <- reclassify(sjbasin, rcl=isBecomes)
basins<-basins2+sjbasin
isBecomes <- cbind(c(0), c(NA))

basins <- reclassify(basins, rcl=isBecomes)
plot(basins)

#Check extents
suitfile<-raster("G:/Ducks_final/FloodedCoverUSGS/ANAC/Spatial/ANAC_weighted_spatial_FloodedCoverUSGS4_20161102to20161111_PA_pred05142020.tif") 
rice<-crop(rice, extent(suitfile))
allcrops<-crop(allcrops, extent(suitfile))

isBecomes<- cbind(c(11, 12, 21, 22), c(1, 1, 1, 1))
allwet<-reclassify(wetlands, rcl=isBecomes)
isBecomes<- cbind(c(11, 12, 21, 22), c(NA, 1, NA, 1))
pubwet<-reclassify(wetlands, rcl=isBecomes)
isBecomes<- cbind(c(11, 12, 21, 22), c(1, NA, 1, NA))
privwet<-reclassify(wetlands, rcl=isBecomes)
isBecomes<- cbind(c(11, 12, 21, 22), c(1, 1, NA, NA))
seaswet<-reclassify(wetlands, rcl=isBecomes)
isBecomes<- cbind(c(11, 12, 21, 22), c(NA, NA, 1, 1))
permwet<-reclassify(wetlands, rcl=isBecomes)
plot(allwet)

isBecomes<- cbind(c(4, 6, 7, 8, 9, 10), c(1, NA, 1, 1, 1, 1))
allbasins<-reclassify(basins, rcl=isBecomes)
isBecomes<- cbind(c(4, 6, 7, 8, 9, 10), c(NA, NA, NA, NA, 1, NA))
amer<-reclassify(basins, rcl=isBecomes)
isBecomes<- cbind(c(4, 6, 7, 8, 9, 10), c(NA, NA, 1, NA, NA, NA))
butte<-reclassify(basins, rcl=isBecomes)
isBecomes<- cbind(c(4, 6, 7, 8, 9, 10), c(NA, NA, NA, 1, NA, NA))
col<-reclassify(basins, rcl=isBecomes)
isBecomes<- cbind(c(4, 6, 7, 8, 9, 10), c(NA, NA, NA, NA, NA, 1))
sutter<-reclassify(basins, rcl=isBecomes)
isBecomes<- cbind(c(4, 6, 7, 8, 9, 10), c(1, NA, NA, NA, NA, NA))
yolo<-reclassify(basins, rcl=isBecomes)
plot(yolo)
#isBecomes<- cbind(c(4, 6, 7, 8, 9, 10), c(NA, 1, NA, NA, NA, NA))
#sj<-reclassify(basins, rcl=isBecomes)

#isBecomes <- cbind(c(4, 6, 7, 8, 9, 10), c(1, NA, 1, 1, 1, 1))
#basins <- reclassify(basins, rcl=isBecomes)
#basins2 <- raster::shift(basins, dy=5)

#################################
# First Flooded NORTHERN Areas
#################################

tabrow<-1
region<-"North" #"South"

if (region=="North") {

Wet<-c("20150922to20150930", "20141012to20141021", 
       "20161102to20161111", "20141224to20150103", 
       "1-Jan2009to15Jan2009", "1-Feb2011to15Feb2011",
       "1-Mar2010to15Mar2010", "1-Apr2010to15Apr2010")

Dry<-c("20130907to20130916", "20131002to20131012",
       "20131103to20131113", "20131221to20131231",
       "20140106to20140116", "1-Feb2008to15Feb2008",
       "20150321to20150330", "20140412to20140422")

} else {
  
  Wet<-c("1-Sep2011to15Sep2011", "20131002to20131012",
  "20131126to20131205", "20161220to20161229",
  "20140113to20140122", "20160220to20160229",
  "20160307to20160316", "20160401to20160411")
  
  Dry<-c("20130907to20130916", "20141012to20141021",
  "1-Nov2010to15Nov2010","20131221to20131231",
  "16-Jan2010to31Jan2010","20150226to20150306",
  "20140302to20140311", "20140419to20140428")
  
  thresholds_USGS<-c(0.32, 0.42, 0.097)
  thresholds_coveronly<-c(0.33, 0.42, 0.084)
  thresholds_long<-c(0.40, 0.39, 0.39)
  
}

tabrow<-1

# this loop checks that the file is there
for (ix in 1:2) {
  
  #################################
  # Load the water files...
  #################################
  
  if (ix==1) {
  indir<-"G:/Ducks_final/FloodedCover"
  thresholds<-c(0.33, 0.42, 0.48)
  modeltype<-"coveronly"
  } else if (ix==2) { 
  indir<-"G:/Ducks_final/FloodedCoverUSGS"
  thresholds<-c(0.32, 0.42, 0.43)
  modeltype<-"USGS"
  } 
  
for (ii in 1:length(Wet)) {
  
  if (ix==1) {
    # Import ANAC
    suitfile_wet<-raster(paste(indir, "/ANAC/Spatial/ANAC_weighted_spatial_cover4_", Wet[ii], "_PA_pred05172020.tif", sep="")) 
    suitfile_dry<-raster(paste(indir, "/ANAC/Spatial/ANAC_weighted_spatial_cover4_", Dry[ii], "_PA_pred05172020.tif", sep="")) 
    suitfile_wet_anac2<-suitfile_wet
    suitfile_wet[suitfile_wet>thresholds[1]]<-1
    suitfile_wet[suitfile_wet<1]<-0
    suitfile_dry_anac2<-suitfile_dry
    suitfile_dry[suitfile_dry>thresholds[1]]<-1
    suitfile_dry[suitfile_dry<1]<-0
    suitfile_wet_anac<-suitfile_wet
    suitfile_dry_anac<-suitfile_dry
    par(mfrow=c(1,2))
    plot(suitfile_dry_anac2)
    plot(suitfile_dry_anac)
    plot(suitfile_wet_anac2)
    plot(suitfile_wet_anac)
    # Import ANCL
    suitfile_wet<-raster(paste(indir, "/ANCL/Spatial/ANCL_weighted_spatial_cover4_", Wet[ii], "_PA_pred05172020.tif", sep="")) 
    suitfile_dry<-raster(paste(indir, "/ANCL/Spatial/ANCL_weighted_spatial_cover4_", Dry[ii], "_PA_pred05172020.tif", sep="")) 
    suitfile_wet_ancl2<-suitfile_wet
    suitfile_wet[suitfile_wet>thresholds[2]]<-1
    suitfile_wet[suitfile_wet<1]<-0
    suitfile_dry_ancl2<-suitfile_dry
    suitfile_dry[suitfile_dry>thresholds[2]]<-1
    suitfile_dry[suitfile_dry<1]<-0
    suitfile_wet_ancl<-suitfile_wet
    suitfile_dry_ancl<-suitfile_dry
    par(mfrow=c(1,2))
    plot(suitfile_dry_ancl2)
    plot(suitfile_dry_ancl)
    plot(suitfile_wet_ancl2)
         plot(suitfile_wet_ancl)
    # Import ANCR
    suitfile_wet<-raster(paste(indir, "/ANCR/Spatial/ANCR_weighted_spatial_cover4_", Wet[ii], "_PA_pred05172020.tif", sep="")) 
    suitfile_dry<-raster(paste(indir, "/ANCR/Spatial/ANCR_weighted_spatial_cover4_", Dry[ii], "_PA_pred05172020.tif", sep="")) 
    suitfile_wet_ancr2<-suitfile_wet
    suitfile_wet[suitfile_wet>thresholds[3]]<-1
    suitfile_wet[suitfile_wet<1]<-0
    suitfile_dry_ancr2<-suitfile_dry
    suitfile_dry[suitfile_dry>thresholds[3]]<-1
    suitfile_dry[suitfile_dry<1]<-0
    suitfile_wet_ancr<-suitfile_wet
    suitfile_dry_ancr<-suitfile_dry
    par(mfrow=c(1,2))
    plot(suitfile_dry_ancr2)
    plot(suitfile_dry_ancr)
    plot(suitfile_wet_ancr2)
    plot(suitfile_wet_ancr)
    
    suitfile_dry<-suitfile_dry_anac+suitfile_dry_ancl+suitfile_dry_ancr
    suitfile_dry[suitfile_dry<1]<-0
    suitfile_dry[suitfile_dry>0.5]<-1
    suitfile_wet<-suitfile_wet_anac+suitfile_wet_ancl+suitfile_wet_ancr
    suitfile_wet[suitfile_wet<1]<-0
    suitfile_wet[suitfile_wet>0.5]<-1
    
    par(mfrow=c(1,2))
    plot(suitfile_wet)
    plot(suitfile_dry)
    
  } else if (ix==2) { 
    # Import ANAC
    suitfile_wet<-raster(paste(indir, "/ANAC/Spatial/ANAC_weighted_spatial_FloodedCoverUSGS4_", Wet[ii], "_PA_pred05142020.tif", sep=""))  
    suitfile_dry<-raster(paste(indir, "/ANAC/Spatial/ANAC_weighted_spatial_FloodedCoverUSGS4_", Dry[ii], "_PA_pred05142020.tif", sep="")) 
    suitfile_wet_anac2<-suitfile_wet
    suitfile_wet[suitfile_wet>thresholds[1]]<-1
    suitfile_wet[suitfile_wet<1]<-0
    suitfile_dry_anac2<-suitfile_dry
    suitfile_dry[suitfile_dry>thresholds[1]]<-1
    suitfile_dry[suitfile_dry<1]<-0
    suitfile_wet_anac<-suitfile_wet
    suitfile_dry_anac<-suitfile_dry
    par(mfrow=c(1,2))
    # Import ANCL
    suitfile_wet<-raster(paste(indir, "/ANCL/Spatial/ANCL_weighted_spatial_FloodedCoverUSGS4_", Wet[ii], "_PA_pred05142020.tif", sep=""))  
    suitfile_dry<-raster(paste(indir, "/ANCL/Spatial/ANCL_weighted_spatial_FloodedCoverUSGS4_", Dry[ii], "_PA_pred05142020.tif", sep="")) 
    suitfile_wet_ancl2<-suitfile_wet
    suitfile_wet[suitfile_wet>thresholds[2]]<-1
    suitfile_wet[suitfile_wet<1]<-0
    suitfile_dry_ancl2<-suitfile_dry
    suitfile_dry[suitfile_dry>thresholds[2]]<-1
    suitfile_dry[suitfile_dry<1]<-0
    suitfile_wet_ancl<-suitfile_wet
    suitfile_dry_ancl<-suitfile_dry
    par(mfrow=c(1,2))
    # Import ANCR
    suitfile_wet<-raster(paste(indir, "/ANCR/Spatial/ANCR_weighted_spatial_FloodedCoverUSGS4_", Wet[ii], "_PA_pred05142020.tif", sep=""))  
    suitfile_dry<-raster(paste(indir, "/ANCR/Spatial/ANCR_weighted_spatial_FloodedCoverUSGS4_", Dry[ii], "_PA_pred05142020.tif", sep="")) 
    suitfile_wet_ancr2<-suitfile_wet
    suitfile_wet[suitfile_wet>thresholds[3]]<-1
    suitfile_wet[suitfile_wet<1]<-0
    suitfile_dry_ancr2<-suitfile_dry
    suitfile_dry[suitfile_dry>thresholds[3]]<-1
    suitfile_dry[suitfile_dry<1]<-0
    suitfile_wet_ancr<-suitfile_wet
    suitfile_dry_ancr<-suitfile_dry
    par(mfrow=c(1,2))
    
    suitfile_dry<-suitfile_dry_anac+suitfile_dry_ancl+suitfile_dry_ancr
    suitfile_dry[suitfile_dry<1]<-0
    suitfile_dry[suitfile_dry>0.5]<-1
    suitfile_wet<-suitfile_wet_anac+suitfile_wet_ancl+suitfile_wet_ancr
    suitfile_wet[suitfile_wet<1]<-0
    suitfile_wet[suitfile_wet>0.5]<-1
    
  } 
  
# Start with crop cover
  
  suitfile_north_wet<-suitfile_wet*allbasins
  suitfile_north_dry<-suitfile_dry*allbasins
  
  ricesuit<-rice*suitfile_north_wet
  arearice<-cellStats(ricesuit, 'sum')
  summary_table[tabrow,]<-c(Wet[ii], "North", "rice", "wet", modeltype, arearice*.09)
  tabrow<-tabrow+1
  
  ricesuit<-rice*suitfile_north_dry
  arearice<-cellStats(ricesuit, 'sum')
  summary_table[tabrow,]<-c(Dry[ii], "North", "rice", "dry", modeltype, arearice*.09)
  tabrow<-tabrow+1
  
  cropsuit<-allcrops*suitfile_north_wet
  areacrop<-cellStats(cropsuit, 'sum')
  summary_table[tabrow,]<-c(Wet[ii], "North", "NonriceCrop", "wet", modeltype, areacrop*.09)
  tabrow<-tabrow+1
  
  cropsuit<-allcrops*suitfile_north_dry
  areacrop<-cellStats(cropsuit, 'sum')
  summary_table[tabrow,]<-c(Dry[ii], "North", "NonriceCrop", "dry", modeltype, areacrop*.09)
  tabrow<-tabrow+1
  
  wetsuit<-allwet*suitfile_north_wet
  areawet<-cellStats(wetsuit, 'sum')
  summary_table[tabrow,]<-c(Wet[ii], "North", "AllWetlands", "wet", modeltype, areawet*.09)
  tabrow<-tabrow+1
  
  wetsuit<-allwet*suitfile_north_dry
  areawet<-cellStats(wetsuit, 'sum')
  summary_table[tabrow,]<-c(Dry[ii], "North", "AllWetlands", "dry", modeltype, areawet*.09)
  tabrow<-tabrow+1
  
  pubsuit<-pubwet*suitfile_north_wet
  areapub<-cellStats(pubsuit, 'sum')
  summary_table[tabrow,]<-c(Wet[ii], "North", "PublicWetlands", "wet", modeltype, areapub*.09)
  tabrow<-tabrow+1
  
  pubsuit<-pubwet*suitfile_north_dry
  areapub<-cellStats(pubsuit, 'sum')
  summary_table[tabrow,]<-c(Dry[ii], "North", "PublicWetlands", "dry", modeltype, areapub*.09)
  tabrow<-tabrow+1
  
  privsuit<-privwet*suitfile_north_wet
  areapriv<-cellStats(privsuit, 'sum')
  summary_table[tabrow,]<-c(Wet[ii], "North", "PrivateWetlands", "wet", modeltype, areapriv*.09)
  tabrow<-tabrow+1
  
  privsuit<-privwet*suitfile_north_dry
  areapriv<-cellStats(privsuit, 'sum')
  summary_table[tabrow,]<-c(Dry[ii], "North", "PrivateWetlands", "dry", modeltype, areapriv*.09)
  tabrow<-tabrow+1
  
  seassuit<-seaswet*suitfile_north_wet
  areaseas<-cellStats(seassuit, 'sum')
  summary_table[tabrow,]<-c(Wet[ii], "North", "SeasonalWetlands", "wet", modeltype, areaseas*.09)
  tabrow<-tabrow+1
  
  seassuit<-seaswet*suitfile_north_dry
  areaseas<-cellStats(seassuit, 'sum')
  summary_table[tabrow,]<-c(Dry[ii], "North", "SeasonalWetlands", "dry", modeltype, areaseas*.09)
  tabrow<-tabrow+1
  
  permsuit<-permwet*suitfile_north_wet
  areaperm<-cellStats(permsuit, 'sum')
  summary_table[tabrow,]<-c(Wet[ii], "North", "PermanentWetlands", "wet", modeltype, areaperm*.09)
  tabrow<-tabrow+1
  
  permsuit<-permwet*suitfile_north_dry
  areaperm<-cellStats(permsuit, 'sum')
  summary_table[tabrow,]<-c(Dry[ii], "North", "PermanentWetlands", "dry", modeltype, areaperm*.09)
  tabrow<-tabrow+1
  
  allsuit<-allbasins*suitfile_north_wet
  areasuit<-cellStats(allsuit, 'sum')
  summary_table[tabrow,]<-c(Wet[ii], "North", "AllBasins", "wet", modeltype, areasuit*.09)
  tabrow<-tabrow+1
  
  allsuit<-allbasins*suitfile_north_dry
  areasuit<-cellStats(allsuit, 'sum')
  summary_table[tabrow,]<-c(Dry[ii], "North", "AllBasins", "dry", modeltype, areasuit*.09)
  tabrow<-tabrow+1
  
  amersuit<-amer*suitfile_north_wet
  areaamersuit<-cellStats(amersuit, 'sum')
  summary_table[tabrow,]<-c(Wet[ii], "North", "American", "wet", modeltype, areaamersuit*.09)
  tabrow<-tabrow+1
  
  amersuit<-amer*suitfile_north_dry
  areaamersuit<-cellStats(amersuit, 'sum')
  summary_table[tabrow,]<-c(Dry[ii], "North", "American", "dry", modeltype, areaamersuit*.09)
  tabrow<-tabrow+1
  
  butsuit<-butte*suitfile_north_wet
  areabutsuit<-cellStats(butsuit, 'sum')
  summary_table[tabrow,]<-c(Wet[ii], "North", "Butte", "wet", modeltype, areabutsuit*.09)
  tabrow<-tabrow+1
  
  butsuit<-butte*suitfile_north_dry
  areabutsuit<-cellStats(butsuit, 'sum')
  summary_table[tabrow,]<-c(Dry[ii], "North", "Butte", "dry", modeltype, areabutsuit*.09)
  tabrow<-tabrow+1
  
  colsuit<-col*suitfile_north_wet
  areacolsuit<-cellStats(colsuit, 'sum')
  summary_table[tabrow,]<-c(Wet[ii], "North", "Colusa", "wet", modeltype, areacolsuit*.09)
  tabrow<-tabrow+1
  
  colsuit<-col*suitfile_north_dry
  areacolsuit<-cellStats(colsuit, 'sum')
  summary_table[tabrow,]<-c(Dry[ii], "North", "Colusa", "dry", modeltype, areacolsuit*.09)
  tabrow<-tabrow+1
  
  sutsuit<-sutter*suitfile_north_wet
  areasutsuit<-cellStats(sutsuit, 'sum')
  summary_table[tabrow,]<-c(Wet[ii], "North", "Sutter", "wet", modeltype, areasutsuit*.09)
  tabrow<-tabrow+1
  
  sutsuit<-sutter*suitfile_north_dry
  areasutsuit<-cellStats(sutsuit, 'sum')
  summary_table[tabrow,]<-c(Dry[ii], "North", "Sutter", "dry", modeltype, areasutsuit*.09)
  tabrow<-tabrow+1
  
  yolosuit<-yolo*suitfile_north_wet
  areayolosuit<-cellStats(yolosuit, 'sum')
  summary_table[tabrow,]<-c(Wet[ii], "North", "Yolo", "wet", modeltype, areayolosuit*.09)
  tabrow<-tabrow+1
  
  yolosuit<-yolo*suitfile_north_dry
  areayolosuit<-cellStats(yolosuit, 'sum')
  summary_table[tabrow,]<-c(Dry[ii], "North", "Yolo", "dry", modeltype, areayolosuit*.09)
  tabrow<-tabrow+1
  
  }
  
  write.csv(summary_table, "G:/Ducks_final/AreaByCover03292022.csv")

}

  
##############################
# Long-term
##############################
  
  indir<-"G:/Ducks_final/Longterm"
  thresholds<-c(0.40, 0.39, 0.39)
  moni<-c("Sep", "Oct", "Nov", "Dec", "Jan", "Feb", "Mar", "Apr")
  modeltype<-"long"

  
  for (ii in 1:length(moni)) {
  
  # Import ANAC
  suitfile_wet<-raster(paste(indir, "/ANAC/Spatial/ANAC_weighted_long_lowN", moni[ii], "_pred05142020.tif", sep=""))  
  suitfile_wet_anac2<-suitfile_wet
  suitfile_wet[suitfile_wet>thresholds[1]]<-1
  suitfile_wet[suitfile_wet<1]<-0
  suitfile_wet_anac<-suitfile_wet
  # Import ANCL
  suitfile_wet<-raster(paste(indir, "/ANCL/Spatial/ANCL_weighted_long_", moni[ii], "_pred05142020.tif", sep=""))  
  suitfile_wet_ancl2<-suitfile_wet
  suitfile_wet[suitfile_wet>thresholds[2]]<-1
  suitfile_wet[suitfile_wet<1]<-0
  suitfile_wet_ancl<-suitfile_wet
   # Import ANCR
  suitfile_wet<-raster(paste(indir, "/ANCR/Spatial/ANCR_weighted_long_", moni[ii], "_pred05142020.tif", sep=""))  
  suitfile_wet_ancr2<-suitfile_wet
  suitfile_wet[suitfile_wet>thresholds[3]]<-1
  suitfile_wet[suitfile_wet<1]<-0
  suitfile_wet_ancr<-suitfile_wet
   
  suitfile_wet<-suitfile_wet_anac+suitfile_wet_ancl+suitfile_wet_ancr
  suitfile_wet[suitfile_wet<1]<-0
  suitfile_wet[suitfile_wet>0.5]<-1
  
  suitfile_north_wet<-suitfile_wet*allbasins
    
  # LONG
  ricesuit<-rice*suitfile_north_wet
  arearice<-cellStats(ricesuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "North", "rice", "ave", modeltype, arearice*.09)
  tabrow<-tabrow+1
  
  cropsuit<-allcrops*suitfile_north_wet
  areacrop<-cellStats(cropsuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "North", "NonriceCrop", "ave", modeltype, areacrop*.09)
  tabrow<-tabrow+1
  
  wetsuit<-allwet*suitfile_north_wet
  areawet<-cellStats(wetsuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "North", "AllWetlands", "ave", modeltype, areawet*.09)
  tabrow<-tabrow+1
  
  pubsuit<-pubwet*suitfile_north_wet
  areapub<-cellStats(pubsuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "North", "PublicWetlands", "ave", modeltype, areapub*.09)
  tabrow<-tabrow+1
  
  privsuit<-privwet*suitfile_north_wet
  areapriv<-cellStats(privsuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "North", "PrivateWetlands", "ave", modeltype, areapriv*.09)
  tabrow<-tabrow+1
  
  seassuit<-seaswet*suitfile_north_wet
  areaseas<-cellStats(seassuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "North", "SeasonalWetlands", "ave", modeltype, areaseas*.09)
  tabrow<-tabrow+1
  
  permsuit<-permwet*suitfile_north_wet
  areaperm<-cellStats(permsuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "North", "PermanentWetlands", "ave", modeltype, areaperm*.09)
  tabrow<-tabrow+1
  
  allsuit<-allbasins*suitfile_north_wet
  areasuit<-cellStats(allsuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "North", "AllBasins", "ave", modeltype, areasuit*.09)
  tabrow<-tabrow+1
  
  amersuit<-amer*suitfile_north_wet
  areaamersuit<-cellStats(amersuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "North", "American", "ave", modeltype, areaamersuit*.09)
  tabrow<-tabrow+1
  
  butsuit<-butte*suitfile_north_wet
  areabutsuit<-cellStats(butsuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "North", "Butte", "ave", modeltype, areabutsuit*.09)
  tabrow<-tabrow+1
  
  colsuit<-col*suitfile_north_wet
  areacolsuit<-cellStats(colsuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "North", "Colusa", "ave", modeltype, areacolsuit*.09)
  tabrow<-tabrow+1
  
  sutsuit<-sutter*suitfile_north_wet
  areasutsuit<-cellStats(sutsuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "North", "Sutter", "ave", modeltype, areasutsuit*.09)
  tabrow<-tabrow+1
  
  yolosuit<-yolo*suitfile_north_wet
  areayolosuit<-cellStats(yolosuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "North", "Yolo", "ave", modeltype, areayolosuit*.09)
  tabrow<-tabrow+1
  }

  write.csv(summary_table, "G:/Ducks_final/AreaByCover03292022.csv")
  summary_table<-summary_table[1:523,]

#################################################################
# Load the summary areas file.  SOUTH
#################################################################


wetlands<-raster("G:/CV_Seasonal_SemiPermenant_Wetlands/pubprivwetlnd")
rice<-raster("E:/Erin08302018/Attribution/Rice.tif")
isBecomes <- cbind(c(0), c(NA))
rice <- reclassify(rice, rcl=isBecomes)

allcrops<-raster("E:/Erin08302018/Attribution/NonRiceCrops.tif")
allcrops <- reclassify(allcrops, rcl=isBecomes)

sjbasin<-raster("G:/Ducks_final/sjoaq_basin")
isBecomes <- cbind(c(6), c(1))
sj <- reclassify(sjbasin, rcl=isBecomes)
plot(sj)

#Check extents
suitfile<-raster("G:/Ducks_final/FloodedCoverUSGS/ANAC/Spatial/ANAC_weighted_spatial_FloodedCoverUSGS4_20161102to20161111_PA_pred05142020.tif")  
rice<-crop(rice, extent(suitfile))
allcrops<-crop(allcrops, extent(suitfile))

isBecomes<- cbind(c(11, 12, 21, 22), c(1, 1, 1, 1))
allwet<-reclassify(wetlands, rcl=isBecomes)
isBecomes<- cbind(c(11, 12, 21, 22), c(NA, 1, NA, 1))
pubwet<-reclassify(wetlands, rcl=isBecomes)
isBecomes<- cbind(c(11, 12, 21, 22), c(1, NA, 1, NA))
privwet<-reclassify(wetlands, rcl=isBecomes)
isBecomes<- cbind(c(11, 12, 21, 22), c(1, 1, NA, NA))
seaswet<-reclassify(wetlands, rcl=isBecomes)
isBecomes<- cbind(c(11, 12, 21, 22), c(NA, NA, 1, 1))
permwet<-reclassify(wetlands, rcl=isBecomes)

#isBecomes<- cbind(c(4, 6, 7, 8, 9, 10), c(NA, 1, NA, NA, NA, NA))
#sj<-reclassify(basins, rcl=isBecomes)


#################################
# First Flooded SOUTHERN Areas
#################################

region<-"South"

if (region=="South") {
  
 Wet<-c("2011-9-01to2011-9-15", "20131002to20131012",
         "2013-11-26to2013-12-05", "2016-12-20to2016-12-29",
         "2014-1-13to2014-1-22", "2016-2-20to2016-2-29",
         "2016-3-07to2016-3-16", "2016-4-01to2016-4-11")
  
  Dry<-c("20130907to20130916", "20141012to20141021",
         "2010-11-01to2010-11-15","20131221to20131231",
         "2010-1-16to2010-1-31","2015-2-26to2015-3-06",
         "2014-3-02to2014-3-11", "2014-4-19to2014-4-28")
  
}


# this loop checks that the file is there
for (ix in 1:2) {
  
  # ix<-2  
  if (ix==1) {
    indir<-"G:/Ducks_final/FloodedCover"
    thresholds<-c(0.33, 0.42, 0.084)
    modeltype<-"coveronly"
  } else if (ix==2) { 
    indir<-"G:/Ducks_final/FloodedCoverUSGS"
    thresholds<-c(0.32, 0.42, 0.097)
    modeltype<-"USGS"
  } 
  
  for (ii in 4:length(Wet)) {
    
    if (ix==1) {
      # Import ANAC
      if (Wet[ii]=="2016-12-20to2016-12-29") {
        suitfile_wet<-raster(paste(indir, "/ANAC/Spatial/ANAC_weighted_spatial_cover4_2016-12-20to2016-12-29_PA_tmax2015_pred05172020.tif", sep=""))  
      } else {
      suitfile_wet<-raster(paste(indir, "/ANAC/Spatial/ANAC_weighted_spatial_cover4_", Wet[ii], "_PA_pred05172020.tif", sep="")) 
      }
      suitfile_dry<-raster(paste(indir, "/ANAC/Spatial/ANAC_weighted_spatial_cover4_", Dry[ii], "_PA_pred05172020.tif", sep=""))
      suitfile_wet_anac2<-suitfile_wet
      suitfile_wet[suitfile_wet>thresholds[1]]<-1
      suitfile_wet[suitfile_wet<1]<-0
      suitfile_dry_anac2<-suitfile_dry
      suitfile_dry[suitfile_dry>thresholds[1]]<-1
      suitfile_dry[suitfile_dry<1]<-0
      suitfile_wet_anac<-suitfile_wet
      suitfile_dry_anac<-suitfile_dry

      # Import ANCL
      if (Wet[ii]=="2016-12-20to2016-12-29") {
        suitfile_wet<-raster(paste(indir, "/ANCL/Spatial/ANCL_weighted_spatial_cover4_2016-12-20to2016-12-29_PA_tmax2015_pred05172020.tif", sep=""))  
      } else {
      suitfile_wet<-raster(paste(indir, "/ANCL/Spatial/ANCL_weighted_spatial_cover4_", Wet[ii], "_PA_pred05172020.tif", sep="")) 
      }
      suitfile_dry<-raster(paste(indir, "/ANCL/Spatial/ANCL_weighted_spatial_cover4_", Dry[ii], "_PA_pred05172020.tif", sep="")) 
      suitfile_wet_ancl2<-suitfile_wet
      suitfile_wet[suitfile_wet>thresholds[2]]<-1
      suitfile_wet[suitfile_wet<1]<-0
      suitfile_dry_ancl2<-suitfile_dry
      suitfile_dry[suitfile_dry>thresholds[2]]<-1
      suitfile_dry[suitfile_dry<1]<-0
      suitfile_wet_ancl<-suitfile_wet
      suitfile_dry_ancl<-suitfile_dry

      # Import ANCR
      if (Wet[ii]=="2016-12-20to2016-12-29") {
        suitfile_wet<-raster(paste(indir, "/ANCR/Spatial/ANCR_weighted_spatial_cover4_2016-12-20to2016-12-29_PA_tmax2015_pred05172020.tif", sep=""))  
      } else {
        suitfile_wet<-raster(paste(indir, "/ANCR/Spatial/ANCR_weighted_spatial_cover4_", Wet[ii], "_PA_pred05172020.tif", sep="")) 
      }
      suitfile_dry<-raster(paste(indir, "/ANCR/Spatial/ANCR_weighted_spatial_cover4_", Dry[ii], "_PA_pred05172020.tif", sep="")) 
      suitfile_wet_ancr2<-suitfile_wet
      suitfile_wet[suitfile_wet>thresholds[3]]<-1
      suitfile_wet[suitfile_wet<1]<-0
      suitfile_dry_ancr2<-suitfile_dry
      suitfile_dry[suitfile_dry>thresholds[3]]<-1
      suitfile_dry[suitfile_dry<1]<-0
      suitfile_wet_ancr<-suitfile_wet
      suitfile_dry_ancr<-suitfile_dry
      
      suitfile_dry<-suitfile_dry_anac+suitfile_dry_ancl+suitfile_dry_ancr
      suitfile_dry[suitfile_dry<1]<-0
      suitfile_dry[suitfile_dry>0.5]<-1
      suitfile_wet<-suitfile_wet_anac+suitfile_wet_ancl+suitfile_wet_ancr
      suitfile_wet[suitfile_wet<1]<-0
      suitfile_wet[suitfile_wet>0.5]<-1
      
      par(mfrow=c(1,2))
      plot(suitfile_wet)
      plot(suitfile_dry)
      
    } else if (ix==2) { 
      # Import ANAC
      if (Wet[ii]=="2016-12-20to2016-12-29") {
        suitfile_wet<-raster(paste(indir, "/ANAC/Spatial/ANAC_weighted_spatial_FloodedCoverUSGS4_2016-12-20to2016-12-29_PA_tmax2015_pred05142020.tif", sep=""))
      } else {
         suitfile_wet<-raster(paste(indir, "/ANAC/Spatial/ANAC_weighted_spatial_FloodedCoverUSGS4_", Wet[ii], "_PA_pred05142020.tif", sep=""))  
      }
      suitfile_dry<-raster(paste(indir, "/ANAC/Spatial/ANAC_weighted_spatial_FloodedCoverUSGS4_", Dry[ii], "_PA_pred05142020.tif", sep="")) 
      suitfile_wet_anac2<-suitfile_wet
      suitfile_wet[suitfile_wet>thresholds[1]]<-1
      suitfile_wet[suitfile_wet<1]<-0
      suitfile_dry_anac2<-suitfile_dry
      suitfile_dry[suitfile_dry>thresholds[1]]<-1
      suitfile_dry[suitfile_dry<1]<-0
      suitfile_wet_anac<-suitfile_wet
      suitfile_dry_anac<-suitfile_dry

      # Import ANCL
      if (Wet[ii]=="2016-12-20to2016-12-29") {
        suitfile_wet<-raster(paste(indir, "/ANCL/Spatial/ANCL_weighted_spatial_FloodedCoverUSGS4_2016-12-20to2016-12-29_PA_tmax2015_pred05142020.tif", sep=""))
      } else {
      suitfile_wet<-raster(paste(indir, "/ANCL/Spatial/ANCL_weighted_spatial_FloodedCoverUSGS4_", Wet[ii], "_PA_pred05142020.tif", sep=""))  
      }  
      suitfile_dry<-raster(paste(indir, "/ANCL/Spatial/ANCL_weighted_spatial_FloodedCoverUSGS4_", Dry[ii], "_PA_pred05142020.tif", sep="")) 
      suitfile_wet_ancl2<-suitfile_wet
      suitfile_wet[suitfile_wet>thresholds[2]]<-1
      suitfile_wet[suitfile_wet<1]<-0
      suitfile_dry_ancl2<-suitfile_dry
      suitfile_dry[suitfile_dry>thresholds[2]]<-1
      suitfile_dry[suitfile_dry<1]<-0
      suitfile_wet_ancl<-suitfile_wet
      suitfile_dry_ancl<-suitfile_dry

      # Import ANCR
      if (Wet[ii]=="2016-12-20to2016-12-29") {
        suitfile_wet<-raster(paste(indir, "/ANCR/Spatial/ANCR_weighted_spatial_FloodedCoverUSGS4_2016-12-20to2016-12-29_PA_tmax2015_pred05142020.tif", sep=""))
      } else {
      suitfile_wet<-raster(paste(indir, "/ANCR/Spatial/ANCR_weighted_spatial_FloodedCoverUSGS4_", Wet[ii], "_PA_pred05142020.tif", sep=""))  
      }
      suitfile_dry<-raster(paste(indir, "/ANCR/Spatial/ANCR_weighted_spatial_FloodedCoverUSGS4_", Dry[ii], "_PA_pred05142020.tif", sep="")) 
      suitfile_wet_ancr2<-suitfile_wet
      suitfile_wet[suitfile_wet>thresholds[3]]<-1
      suitfile_wet[suitfile_wet<1]<-0
      suitfile_dry_ancr2<-suitfile_dry
      suitfile_dry[suitfile_dry>thresholds[3]]<-1
      suitfile_dry[suitfile_dry<1]<-0
      suitfile_wet_ancr<-suitfile_wet
      suitfile_dry_ancr<-suitfile_dry
      
      suitfile_dry<-suitfile_dry_anac+suitfile_dry_ancl+suitfile_dry_ancr
      suitfile_dry[suitfile_dry<1]<-0
      suitfile_dry[suitfile_dry>0.5]<-1
      suitfile_wet<-suitfile_wet_anac+suitfile_wet_ancl+suitfile_wet_ancr
      suitfile_wet[suitfile_wet<1]<-0
      suitfile_wet[suitfile_wet>0.5]<-1
      
    } 
    
    # Start with crop cover
    
    suitfile_south_wet<-suitfile_wet*sj
    suitfile_south_dry<-suitfile_dry*sj
    
    # LONG
    ricesuit<-rice*suitfile_south_wet
    arearice<-cellStats(ricesuit, 'sum')
    summary_table[tabrow,]<-c(Wet[ii], "South", "rice", "wet", modeltype, arearice*.09)
    tabrow<-tabrow+1
    
    ricesuit<-rice*suitfile_south_dry
    arearice<-cellStats(ricesuit, 'sum')
    summary_table[tabrow,]<-c(Dry[ii], "South", "rice", "dry", modeltype, arearice*.09)
    tabrow<-tabrow+1
    
    cropsuit<-allcrops*suitfile_south_wet
    areacrop<-cellStats(cropsuit, 'sum')
    summary_table[tabrow,]<-c(Wet[ii], "South", "NonriceCrop", "wet", modeltype, areacrop*.09)
    tabrow<-tabrow+1
    
    cropsuit<-allcrops*suitfile_south_dry
    areacrop<-cellStats(cropsuit, 'sum')
    summary_table[tabrow,]<-c(Dry[ii], "South", "NonriceCrop", "dry", modeltype, areacrop*.09)
    tabrow<-tabrow+1
    
    wetsuit<-allwet*suitfile_south_wet
    areawet<-cellStats(wetsuit, 'sum')
    summary_table[tabrow,]<-c(Wet[ii], "South", "AllWetlands", "wet", modeltype, areawet*.09)
    tabrow<-tabrow+1
    
    wetsuit<-allwet*suitfile_south_dry
    areawet<-cellStats(wetsuit, 'sum')
    summary_table[tabrow,]<-c(Dry[ii], "South", "AllWetlands", "dry", modeltype, areawet*.09)
    tabrow<-tabrow+1
    
    pubsuit<-pubwet*suitfile_south_wet
    areapub<-cellStats(pubsuit, 'sum')
    summary_table[tabrow,]<-c(Wet[ii], "South", "PublicWetlands", "wet", modeltype, areapub*.09)
    tabrow<-tabrow+1
    
    pubsuit<-pubwet*suitfile_south_dry
    areapub<-cellStats(pubsuit, 'sum')
    summary_table[tabrow,]<-c(Dry[ii], "South", "PublicWetlands", "dry", modeltype, areapub*.09)
    tabrow<-tabrow+1
    
    privsuit<-privwet*suitfile_south_wet
    areapriv<-cellStats(privsuit, 'sum')
    summary_table[tabrow,]<-c(Wet[ii], "South", "PrivateWetlands", "wet", modeltype, areapriv*.09)
    tabrow<-tabrow+1
    
    privsuit<-privwet*suitfile_south_dry
    areapriv<-cellStats(privsuit, 'sum')
    summary_table[tabrow,]<-c(Dry[ii], "South", "PrivateWetlands", "dry", modeltype, areapriv*.09)
    tabrow<-tabrow+1
    
    seassuit<-seaswet*suitfile_south_wet
    areaseas<-cellStats(seassuit, 'sum')
    summary_table[tabrow,]<-c(Wet[ii], "South", "SeasonalWetlands", "wet", modeltype, areaseas*.09)
    tabrow<-tabrow+1
    
    seassuit<-seaswet*suitfile_south_dry
    areaseas<-cellStats(seassuit, 'sum')
    summary_table[tabrow,]<-c(Dry[ii], "South", "SeasonalWetlands", "dry", modeltype, areaseas*.09)
    tabrow<-tabrow+1
    
    permsuit<-permwet*suitfile_south_wet
    areaperm<-cellStats(permsuit, 'sum')
    summary_table[tabrow,]<-c(Wet[ii], "South", "PermanentWetlands", "wet", modeltype, areaperm*.09)
    tabrow<-tabrow+1
    
    permsuit<-permwet*suitfile_south_dry
    areaperm<-cellStats(permsuit, 'sum')
    summary_table[tabrow,]<-c(Dry[ii], "South", "PermanentWetlands", "dry", modeltype, areaperm*.09)
    tabrow<-tabrow+1
    
    areasuit<-cellStats(suitfile_south_wet, 'sum')
    summary_table[tabrow,]<-c(Wet[ii], "South", "San Joaquin", "wet", modeltype, areasuit*.09)
    tabrow<-tabrow+1
    
    areasuit<-cellStats(suitfile_south_dry, 'sum')
    summary_table[tabrow,]<-c(Dry[ii], "South", "San Joaquin", "dry", modeltype, areasuit*.09)
    tabrow<-tabrow+1
  
    
  }
  
  write.csv(summary_table, "G:/Ducks_final/AreaByCover03292022.csv")
  
}


##############################
# Long-term
##############################

indir<-"G:/Ducks_final/Longterm"
thresholds<-c(0.40, 0.39, 0.39)
moni<-c("Sep", "Oct", "Nov", "Dec", "Jan", "Feb", "Mar", "Apr")
modeltype<-"long"


for (ii in 1:length(moni)) {
  
  # Import ANAC
  suitfile_wet<-raster(paste(indir, "/ANAC/Spatial/ANAC_weighted_long_lowN", moni[ii], "_pred05142020.tif", sep=""))  
  suitfile_wet_anac2<-suitfile_wet
  suitfile_wet[suitfile_wet>thresholds[1]]<-1
  suitfile_wet[suitfile_wet<1]<-0
  suitfile_wet_anac<-suitfile_wet
  # Import ANCL
  suitfile_wet<-raster(paste(indir, "/ANCL/Spatial/ANCL_weighted_long_", moni[ii], "_pred05142020.tif", sep=""))  
  suitfile_wet_ancl2<-suitfile_wet
  suitfile_wet[suitfile_wet>thresholds[2]]<-1
  suitfile_wet[suitfile_wet<1]<-0
  suitfile_wet_ancl<-suitfile_wet
  # Import ANCR
  suitfile_wet<-raster(paste(indir, "/ANCR/Spatial/ANCR_weighted_long_", moni[ii], "_pred05142020.tif", sep=""))  
  suitfile_wet_ancr2<-suitfile_wet
  suitfile_wet[suitfile_wet>thresholds[3]]<-1
  suitfile_wet[suitfile_wet<1]<-0
  suitfile_wet_ancr<-suitfile_wet
  
  suitfile_wet<-suitfile_wet_anac+suitfile_wet_ancl+suitfile_wet_ancr
  suitfile_wet[suitfile_wet<1]<-0
  suitfile_wet[suitfile_wet>0.5]<-1
  
  suitfile_south_wet<-suitfile_wet*sj
  
  # LONG
  ricesuit<-rice*suitfile_south_wet
  arearice<-cellStats(ricesuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "South", "rice", "ave", modeltype, arearice*.09)
  tabrow<-tabrow+1
  
  cropsuit<-allcrops*suitfile_south_wet
  areacrop<-cellStats(cropsuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "South", "NonriceCrop", "ave", modeltype, areacrop*.09)
  tabrow<-tabrow+1
  
  wetsuit<-allwet*suitfile_south_wet
  areawet<-cellStats(wetsuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "South", "AllWetlands", "ave", modeltype, areawet*.09)
  tabrow<-tabrow+1
  
  pubsuit<-pubwet*suitfile_south_wet
  areapub<-cellStats(pubsuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "South", "PublicWetlands", "ave", modeltype, areapub*.09)
  tabrow<-tabrow+1
  
  privsuit<-privwet*suitfile_south_wet
  areapriv<-cellStats(privsuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "South", "PrivateWetlands", "ave", modeltype, areapriv*.09)
  tabrow<-tabrow+1
  
  seassuit<-seaswet*suitfile_south_wet
  areaseas<-cellStats(seassuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "South", "SeasonalWetlands", "ave", modeltype, areaseas*.09)
  tabrow<-tabrow+1
  
  permsuit<-permwet*suitfile_south_wet
  areaperm<-cellStats(permsuit, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "South", "PermanentWetlands", "ave", modeltype, areaperm*.09)
  tabrow<-tabrow+1
  
  areasuit<-cellStats(suitfile_south_wet, 'sum')
  summary_table[tabrow,]<-c(moni[ii], "South", "San Joaquin", "ave", modeltype, areasuit*.09)
  tabrow<-tabrow+1
 
}

write.csv(summary_table, "G:/Ducks_final/AreaByCover03292022.csv")